Table of Contents

## Name

im_smudge, im_smear - filter and smudge in place

## Synopsis

#include <vips/vips.h>
#include <vips/rect.h>

int
im_smudge( im, ix, iy, r )
IMAGE *im;
int ix, iy;
Rect *r;

int
im_smear( im, ix, iy, r )
IMAGE *im;
int ix, iy;
Rect *r;

## Description

im_smudge() performs a low-pass filter of the pels inside rect r. Rect r is clipped against the edges of the image. im_smear() is not very useful.

Both these functions are `in place,' that is, they write directly to the output image! Be very careful, you can destroy data.

## Return Value

All functions return 0 on success and -1 on error.

## See Also

im_insertplace(3) , im_readpoint(3) .

## Copyright

National Gallery, 1992

## Author

J. Cupitt

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- SeeAlso
- Copyright
- Author